<?php
$tdata_______________ = array();
$tdata_______________[".searchableFields"] = array();
$tdata_______________[".ShortName"] = "_______________";
$tdata_______________[".OwnerID"] = "";
$tdata_______________[".OriginalTable"] = "percentage_case";


$tdata_______________[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdata_______________[".originalPagesByType"] = $tdata_______________[".pagesByType"];
$tdata_______________[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdata_______________[".originalPages"] = $tdata_______________[".pages"];
$tdata_______________[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdata_______________[".originalDefaultPages"] = $tdata_______________[".defaultPages"];

//	field labels
$fieldLabels_______________ = array();
$fieldToolTips_______________ = array();
$pageTitles_______________ = array();
$placeHolders_______________ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels_______________["English"] = array();
	$fieldToolTips_______________["English"] = array();
	$placeHolders_______________["English"] = array();
	$pageTitles_______________["English"] = array();
	$fieldLabels_______________["English"]["full_name"] = "الإسم";
	$fieldToolTips_______________["English"]["full_name"] = "";
	$placeHolders_______________["English"]["full_name"] = "";
	$fieldLabels_______________["English"]["region"] = "المنطقة";
	$fieldToolTips_______________["English"]["region"] = "";
	$placeHolders_______________["English"]["region"] = "";
	$fieldLabels_______________["English"]["numCase"] = "القلم";
	$fieldToolTips_______________["English"]["numCase"] = "";
	$placeHolders_______________["English"]["numCase"] = "";
	$fieldLabels_______________["English"]["total"] = "المجموع";
	$fieldToolTips_______________["English"]["total"] = "";
	$placeHolders_______________["English"]["total"] = "";
	$fieldLabels_______________["English"]["voteWith"] = "إقترع";
	$fieldToolTips_______________["English"]["voteWith"] = "";
	$placeHolders_______________["English"]["voteWith"] = "";
	$fieldLabels_______________["English"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTips_______________["English"]["percentage"] = "";
	$placeHolders_______________["English"]["percentage"] = "";
	if (count($fieldToolTips_______________["English"]))
		$tdata_______________[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels_______________["Arabic"] = array();
	$fieldToolTips_______________["Arabic"] = array();
	$placeHolders_______________["Arabic"] = array();
	$pageTitles_______________["Arabic"] = array();
	$fieldLabels_______________["Arabic"]["full_name"] = "الإسم";
	$fieldToolTips_______________["Arabic"]["full_name"] = "";
	$placeHolders_______________["Arabic"]["full_name"] = "";
	$fieldLabels_______________["Arabic"]["region"] = "المنطقة";
	$fieldToolTips_______________["Arabic"]["region"] = "";
	$placeHolders_______________["Arabic"]["region"] = "";
	$fieldLabels_______________["Arabic"]["numCase"] = "القلم";
	$fieldToolTips_______________["Arabic"]["numCase"] = "";
	$placeHolders_______________["Arabic"]["numCase"] = "";
	$fieldLabels_______________["Arabic"]["total"] = "المجموع";
	$fieldToolTips_______________["Arabic"]["total"] = "";
	$placeHolders_______________["Arabic"]["total"] = "";
	$fieldLabels_______________["Arabic"]["voteWith"] = "إقترع";
	$fieldToolTips_______________["Arabic"]["voteWith"] = "";
	$placeHolders_______________["Arabic"]["voteWith"] = "";
	$fieldLabels_______________["Arabic"]["percentage"] = "نسبة الأقتراع";
	$fieldToolTips_______________["Arabic"]["percentage"] = "";
	$placeHolders_______________["Arabic"]["percentage"] = "";
	if (count($fieldToolTips_______________["Arabic"]))
		$tdata_______________[".isUseToolTips"] = true;
}


	$tdata_______________[".NCSearch"] = true;

	$tdata_______________[".ChartRefreshTime"] = 0;


$tdata_______________[".shortTableName"] = "_______________";
$tdata_______________[".nSecOptions"] = 0;

$tdata_______________[".mainTableOwnerID"] = "";
$tdata_______________[".entityType"] = 3;
$tdata_______________[".connId"] = "electiondb_at_ssl_localhost";


$tdata_______________[".strOriginalTableName"] = "percentage_case";

	



$tdata_______________[".showAddInPopup"] = false;

$tdata_______________[".showEditInPopup"] = false;

$tdata_______________[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdata_______________[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdata_______________[".listAjax"] = false;
//	temporary
$tdata_______________[".listAjax"] = false;

	$tdata_______________[".audit"] = false;

	$tdata_______________[".locking"] = false;


$pages = $tdata_______________[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdata_______________[".edit"] = true;
	$tdata_______________[".afterEditAction"] = 1;
	$tdata_______________[".closePopupAfterEdit"] = 1;
	$tdata_______________[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdata_______________[".add"] = true;
$tdata_______________[".afterAddAction"] = 1;
$tdata_______________[".closePopupAfterAdd"] = 1;
$tdata_______________[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdata_______________[".list"] = true;
}



$tdata_______________[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdata_______________[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdata_______________[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdata_______________[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdata_______________[".printFriendly"] = true;
}



$tdata_______________[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdata_______________[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdata_______________[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdata_______________[".isUseAjaxSuggest"] = true;






$tdata_______________[".ajaxCodeSnippetAdded"] = false;

$tdata_______________[".buttonsAdded"] = false;

$tdata_______________[".addPageEvents"] = false;

// use timepicker for search panel
$tdata_______________[".isUseTimeForSearch"] = false;


$tdata_______________[".badgeColor"] = "E8926F";


$tdata_______________[".allSearchFields"] = array();
$tdata_______________[".filterFields"] = array();
$tdata_______________[".requiredSearchFields"] = array();

$tdata_______________[".googleLikeFields"] = array();
$tdata_______________[".googleLikeFields"][] = "full_name";
$tdata_______________[".googleLikeFields"][] = "region";
$tdata_______________[".googleLikeFields"][] = "numCase";
$tdata_______________[".googleLikeFields"][] = "total";
$tdata_______________[".googleLikeFields"][] = "voteWith";
$tdata_______________[".googleLikeFields"][] = "percentage";



$tdata_______________[".tableType"] = "chart";

$tdata_______________[".printerPageOrientation"] = 0;
$tdata_______________[".nPrinterPageScale"] = 100;

$tdata_______________[".nPrinterSplitRecords"] = 40;

$tdata_______________[".geocodingEnabled"] = false;



// chart settings
$tdata_______________[".chartType"] = "2DDoughnut";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdata_______________[".strOrderBy"] = $tstrOrderBy;

$tdata_______________[".orderindexes"] = array();


$tdata_______________[".sqlHead"] = "SELECT full_name,  	region,  	numCase,  	total,  	voteWith,  	percentage";
$tdata_______________[".sqlFrom"] = "FROM percentage_case";
$tdata_______________[".sqlWhereExpr"] = "";
$tdata_______________[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata_______________[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata_______________[".arrGroupsPerPage"] = $arrGPP;

$tdata_______________[".highlightSearchResults"] = true;

$tableKeys_______________ = array();
$tdata_______________[".Keys"] = $tableKeys_______________;


$tdata_______________[".hideMobileList"] = array();




//	full_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "full_name";
	$fdata["GoodName"] = "full_name";
	$fdata["ownerTable"] = "percentage_case";
	$fdata["Label"] = GetFieldLabel("_______________","full_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "full_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "full_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=57";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_______________["full_name"] = $fdata;
		$tdata_______________[".searchableFields"][] = "full_name";
//	region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "region";
	$fdata["GoodName"] = "region";
	$fdata["ownerTable"] = "percentage_case";
	$fdata["Label"] = GetFieldLabel("_______________","region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "region";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "name";

	

	
	$edata["LookupOrderBy"] = "name";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_______________["region"] = $fdata;
		$tdata_______________[".searchableFields"][] = "region";
//	numCase
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "numCase";
	$fdata["GoodName"] = "numCase";
	$fdata["ownerTable"] = "percentage_case";
	$fdata["Label"] = GetFieldLabel("_______________","numCase");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numCase";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numCase";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "electioncase";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "numCase";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "numCase";

	

	
	$edata["LookupOrderBy"] = "numCase";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_______________["numCase"] = $fdata;
		$tdata_______________[".searchableFields"][] = "numCase";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "percentage_case";
	$fdata["Label"] = GetFieldLabel("_______________","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_______________["total"] = $fdata;
		$tdata_______________[".searchableFields"][] = "total";
//	voteWith
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "voteWith";
	$fdata["GoodName"] = "voteWith";
	$fdata["ownerTable"] = "percentage_case";
	$fdata["Label"] = GetFieldLabel("_______________","voteWith");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "voteWith";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "voteWith";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_______________["voteWith"] = $fdata;
		$tdata_______________[".searchableFields"][] = "voteWith";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "percentage_case";
	$fdata["Label"] = GetFieldLabel("_______________","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_______________["percentage"] = $fdata;
		$tdata_______________[".searchableFields"][] = "percentage";

$tdata_______________[".chartLabelField"] = "full_name";
$tdata_______________[".chartSeries"] = array();
$tdata_______________[".chartSeries"][] = array( 
	"field" => "percentage",
	"total" => ""
);
	$tdata_______________[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">دائري حسب القلم</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_doughnut</attr>
		</attr>

		<attr value="parameters">';
	$tdata_______________[".chartXml"] .= '<attr value="0">
			<attr value="name">percentage</attr>';
	$tdata_______________[".chartXml"] .= '</attr>';
	$tdata_______________[".chartXml"] .= '<attr value="1">
		<attr value="name">full_name</attr>
	</attr>';
	$tdata_______________[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdata_______________[".chartXml"] .= '<attr value="head">'.xmlencode("دائري حسب القلم").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("numCase").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">60</attr>';
$tdata_______________[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdata_______________[".chartXml"] .= '<attr value="0">
		<attr value="name">full_name</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_______________","full_name")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_______________[".chartXml"] .= '<attr value="1">
		<attr value="name">region</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_______________","region")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_______________[".chartXml"] .= '<attr value="2">
		<attr value="name">numCase</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_______________","numCase")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_______________[".chartXml"] .= '<attr value="3">
		<attr value="name">total</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_______________","total")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_______________[".chartXml"] .= '<attr value="4">
		<attr value="name">voteWith</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_______________","voteWith")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_______________[".chartXml"] .= '<attr value="5">
		<attr value="name">percentage</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_______________","percentage")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdata_______________[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">دائري حسب القلم</attr>
<attr value="short_table_name">_______________</attr>
</attr>

</chart>';

$tables_data["دائري حسب القلم"]=&$tdata_______________;
$field_labels["_______________"] = &$fieldLabels_______________;
$fieldToolTips["_______________"] = &$fieldToolTips_______________;
$placeHolders["_______________"] = &$placeHolders_______________;
$page_titles["_______________"] = &$pageTitles_______________;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["دائري حسب القلم"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["دائري حسب القلم"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery________________()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "full_name,  	region,  	numCase,  	total,  	voteWith,  	percentage";
$proto0["m_strFrom"] = "FROM percentage_case";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "full_name",
	"m_strTable" => "percentage_case",
	"m_srcTableName" => "دائري حسب القلم"
));

$proto6["m_sql"] = "full_name";
$proto6["m_srcTableName"] = "دائري حسب القلم";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "region",
	"m_strTable" => "percentage_case",
	"m_srcTableName" => "دائري حسب القلم"
));

$proto8["m_sql"] = "region";
$proto8["m_srcTableName"] = "دائري حسب القلم";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "numCase",
	"m_strTable" => "percentage_case",
	"m_srcTableName" => "دائري حسب القلم"
));

$proto10["m_sql"] = "numCase";
$proto10["m_srcTableName"] = "دائري حسب القلم";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "percentage_case",
	"m_srcTableName" => "دائري حسب القلم"
));

$proto12["m_sql"] = "total";
$proto12["m_srcTableName"] = "دائري حسب القلم";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "voteWith",
	"m_strTable" => "percentage_case",
	"m_srcTableName" => "دائري حسب القلم"
));

$proto14["m_sql"] = "voteWith";
$proto14["m_srcTableName"] = "دائري حسب القلم";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "percentage_case",
	"m_srcTableName" => "دائري حسب القلم"
));

$proto16["m_sql"] = "percentage";
$proto16["m_srcTableName"] = "دائري حسب القلم";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "percentage_case";
$proto19["m_srcTableName"] = "دائري حسب القلم";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "full_name";
$proto19["m_columns"][] = "region";
$proto19["m_columns"][] = "numCase";
$proto19["m_columns"][] = "total";
$proto19["m_columns"][] = "voteWith";
$proto19["m_columns"][] = "percentage";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "percentage_case";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "دائري حسب القلم";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="دائري حسب القلم";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData________________ = createSqlQuery________________();


	
		;

						

$tdata_______________[".sqlquery"] = $queryData________________;



$tableEvents["دائري حسب القلم"] = new eventsBase;
$tdata_______________[".hasEvents"] = false;

?>